//go:build windows && (386 || arm || mips || mipsle)

package yu_hpsocket

import "unsafe"

func server_http_callback_OnWSMessageHeader(Sender, ConnID uintptr, Final bool, Reserved, OperationCode byte, Mask, BodyLen uintptr, BodyLen2 uintptr) HR {
	var j_Mask = make([]byte, 4)
	*((*uintptr)(unsafe.Pointer(&j_Mask))) = Mask
	switch j_item := _server_on_get(Sender); j_item._type {
	case _server_type_HttpServer:
		t := j_item.t.(*HttpServer)
		return t.onWSMessageHeader(t, Sender, ConnID, Final, Reserved, OperationCode, j_Mask, int64(BodyLen)|(int64(BodyLen2)<<32))
	}
	return HR_OK
}
